org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizard.HierarchyWizardResult<T>

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizard.HierarchyWizardResult<T>

Type Parameters:
  `T` -

Enclosing class:
  HierarchyWizard<T>

    public static class HierarchyWizard.HierarchyWizardResult<T>
    extends java.lang.Object

Result of the wizard.

Author:
  Fabian Prasser

### Field Summary

Fields
`HierarchyBuilder<T>` `builder` Builder
`AttributeType.Hierarchy` `hierarchy` Hierarchy

### Constructor Summary

Constructors
Constructor and Description
`HierarchyWizardResult(AttributeType.Hierarchy hierarchy, HierarchyBuilder<T> builder)` Creates a new instance

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### hierarchy

    public final AttributeType.Hierarchy hierarchy

Hierarchy

#### builder

    public final HierarchyBuilder<T> builder

Builder

### Constructor Detail

#### HierarchyWizardResult

    public HierarchyWizardResult(AttributeType.Hierarchy hierarchy,
                                 HierarchyBuilder<T> builder)

Creates a new instance

Parameters:
  `hierarchy` -
  `builder` -